Olympus Docs
ReferenceAPIsOry Hydra APIoidc

Get OAuth2 Client using OpenID Dynamic Client Registration

This endpoint behaves like the administrative counterpart (`getOAuth2Client`) but is capable of facing the

GET /oauth2/register/{id}

This endpoint behaves like the administrative counterpart (getOAuth2Client) but is capable of facing the public internet directly and can be used in self-service. It implements the OpenID Connect Dynamic Client Registration Protocol.

To use this endpoint, you will need to present the client's authentication credentials. If the OAuth2 Client uses the Token Endpoint Authentication Method client_secret_post, you need to present the client secret in the URL query. If it uses client_secret_basic, present the Client ID and the Client Secret in the Authorization header.

Operation ID: getOidcDynamicClient    Tag: oidc

Path parameters

NameTypeRequiredDescription
idstringyesThe id of the OAuth 2.0 Client.

Responses

StatusDescriptionBody
200oAuth2Clientapplication/json, object
defaultDefault Error Responseapplication/json, object

Security

  • bearer

Generated from ../athena/openapi.json at build time.

On this page